
QGIS Application - Bug report #21306

Incorrect raster behaviour and crashes

2019-02-18 06:47 PM - Tony Walters

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29124

Description

I have many layers that are activated in different combinations.  I have LiDAR DSMs and suddenly they now have the behaviour is that the

canvas gets locked into continuously rendering the DSM over and over - only way to stop is to uncheck that LiDAR layer.  Often, after this

behaviour, when I try to close the project and load another, QGIS crashes with copt of dump below.

Crash ID: 71997e322a3e1d9f3a56c269670675e5530440ad

Stack Trace

QgsMapLayer::type :

QgsLayerTreeEmbeddedWidgetRegistry::removeProvider :

QMetaObject::activate :

QTimer::timerEvent :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QCoreApplication::processEvents :

QgisApp::addProject :

QgisApp::openProject :

QMetaObject::activate :

QMenu::~QMenu :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :
QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

History

#1 - 2019-02-18 06:48 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please attach/link sample data.

#2 - 2019-03-08 10:17 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
